// AISSelectDoc.h : interface of the CAISSelectDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AISSELECTDOC__INCLUDED_)
#define AISSELECTDOC__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <OCC_3dDoc.h>

class CAISSelectDoc : public OCC_3dDoc
{
	DECLARE_DYNCREATE(CAISSelectDoc)
protected: // create from serialization only
	CAISSelectDoc();

public:
	virtual ~CAISSelectDoc();

	virtual void InputEvent     (const Standard_Integer  x       ,
	    			     const Standard_Integer  y       ,
                         const Handle(V3d_View)& aView   );  

    virtual void Popup          (const Standard_Integer  x       ,
		    			 const Standard_Integer  y       ,
                         const Handle(V3d_View)& aView   ); 

#ifdef _DEBUG
	void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CAISSelectDoc)
	afx_msg void OnBox();
	afx_msg void OnUsercylinder();
	afx_msg void OnFaces();
	afx_msg void OnEdges();
	afx_msg void OnVertices();
	afx_msg void OnNeutral();
	afx_msg void OnUsercylinderChangefacecolor();
	afx_msg void OnFillet3d();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//Attributes	
protected:
	int myState;

};

/////////////////////////////////////////////////////////////////////////////

#endif // !defined(AFX_VIEWERDOC_H__4EF39FBA_4EBB_11D1_8D67_0800369C8A03__INCLUDED_)
